<?xml version="1.0" encoding="utf-8" ?>
<configuration>
<log4net>
    <appender name="Console" type="log4net.Appender.ConsoleAppender">
        <layout type="log4net.Layout.PatternLayout">
            <!-- Pattern to output the caller's file name and line number -->
            <conversionPattern value="%5level [%thread] (%file:%line) - %message%newline" />
        </layout>
    </appender>
    
    <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
        <file value="LogFiles/" />
        <appendToFile value="true" />
        <rollingStyle value="Date" />
  	<datePattern value="yyyyMMdd.lo\g"/>
  	<staticLogFileName value="false" />
        <maximumFileSize value="1000KB" />
        <maxSizeRollBackups value="2" />

        <layout type="log4net.Layout.PatternLayout">
            <conversionPattern value="%date [%thread] %-5p (%logger.%M:%line) %message%newline" />
        </layout>
    </appender>
    
    <root>
        <level value="INFO" />
        <appender-ref ref="Console" />
        <appender-ref ref="RollingFile" />
    </root>
</log4net>
</configuration>
